Create a cloud volume

POST/v1/cloud_block_storage/volumes

A new volume can be created by sending a POST request to the /v1/cloud_block_storage/volumes endpoint.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/cloud_block_storage/volumes" \  -H "Content-Type: application/json" \  -d '{    "name": "vol_from_backup",    "region_id": 0,    "backup_id": "pnel5aKB",    "labels": {      "environment": "production",      "service": "my-web-app",      "example.com/project": "my-project",      "example.com/owner": "my-team"    },    "response_schema": "v1/cloud_block_storage/volumes/show"  }'
{  "id": "J0dN6dLO",  "openstack_uuid": null,  "region_id": 0,  "region_code": "NL01",  "name": "vol1",  "size": 101,  "status": "pending",  "created_at": null,  "bootable": false,  "labels": {    "environment": "production",    "service": "my-web-app",    "example.com/project": "my-project",    "example.com/owner": "my-team"  },  "attachments": [],  "description": "A fine volume"}
{  "message": "Backup state is not valid for the requested action",  "code": "BACKUP_INVALID_STATUS"}
{  "message": "Validation failed",  "code": "UNPROCESSABLE_ENTITY",  "errors": {    "region_id": "is missing",    "size": "is missing"  }}
{  "message": "Region in maintenance mode",  "code": "CLOUD_REGION_MAINTENANCE"}